/**
 * Datart
 *
 * Copyright 2021
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import { createAsyncThunk } from '@reduxjs/toolkit';
import { RootState } from 'types';
import { request2 } from 'utils/request';
import {
  DepartmentSimple,
} from './types';

export const getDepartments = createAsyncThunk<DepartmentSimple[], string>(
  'dept/list',
  async (pid) => {
    const { data } = await request2<DepartmentSimple[]>({
      url: '/dept/list',
      method: 'GET',
      params: { parentId:pid },
    });
    return data;
  },
);

export const getDepartment = createAsyncThunk<DepartmentSimple, string>(
  'dept/getId',
  async id => {
    const { data } = await request2<DepartmentSimple>(`/dept/${id}`);
    return data;
  },
);
