/**
 * Datart
 *
 * Copyright 2021
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import { TreeNodeProps } from 'antd';
import { ReactElement } from 'react';

export interface DepartmentState {
  editingId: string;
  departments: DepartmentSimpleViewModel[];
  departmentListLoading: boolean;
  departmentDetailLoading: boolean;
}

export interface Department {
  id: string;
  name: string;
  level: number | null;
  parentId: string | null;
  index: number | null;
}

export interface SelectDepartmentTreeProps {
  getIcon: (
    o: DepartmentSimpleViewModel,
  ) => ReactElement | ((props: TreeNodeProps) => ReactElement);
  getDisabled: (o: DepartmentSimpleViewModel) => boolean;
}

export interface SelectDepartmentFolderTreeProps {
  id?: string;
  getDisabled: (o: DepartmentSimpleViewModel, path: string[]) => boolean;
}

export interface DepartmentSimple extends Department {
  id: string;
  code: string;
  name: string;
  parentId: string | null;
  level: number | 1;
}

export interface DepartmentSimpleViewModel extends DepartmentSimple {
  index: number | null;
  isFolder: boolean;
}

export interface DepartmentFormModel
  extends Pick<
  DepartmentSimple,
    'name' | 'parentId' | 'level' | 'code'
  > {
  config: object;
}

